#ifndef __LIBCREDDY_COMMON_H__
#define __LIBCREDDY_COMMON_H__

#include <credentials/certificates/certificate.h>
#include <credentials/certificates/x509.h>
#include <credentials/keys/private_key.h>

#include <creddy.h>

void *creddy_xmalloc(size_t len);
void *creddy_xrealloc(void *ptr, size_t size);
char *creddy_xstrdup(char *string);
int creddy_clean_name(char *string);
chunk_t creddy_generate_serial();

//
// Private API
//

// get the cert from the ID
certificate_t *creddy_id_cert(creddy_id_t *id);

// get the private key from the ID
// will return NULL if no key has been loaded
private_key_t *creddy_id_privkey(creddy_id_t *id);

#endif /* __ID_H__ */
